Subject: Tr: Injection-Info

From: Julien ÉLIE <[email-masked]>
Date: Sat, 9 May 2009 19:15:53 +0200

Just for your information (from news.software.nntp).

It is true that
    "Injection-Info: nowhere;posting-host=localhost:::1"
is not pretty to read and "posting-host" could have been
shortened to "host"...

And Injection-Date: a sub-field of Injection-Info: (but maybe
it was done this way because it was easier to parse in order
to obtain the date?).

Julien

----- Message d'origine ----- 
De : "D. Stussy" <[email-masked]>
Groupes de discussion : news.software.nntp
Envoyé : mercredi 29 avril 2009 00:55
Objet : Re: Injection-Info

> "Russ Allbery" <[email-masked]> wrote in message
> news:[email-masked]...
>> http://www.eyrie.org/~eagle/usefor/drafts/draft-ietf-usefor-usefor-12.txt
>> has the specification.  (You can also get that I-D from a bunch of other
>> places, including direct from the IETF, of course.)
>
> Q:  Why is "Injection-Date" a separate header and not a sub-field of
> "Injection-Info"?
>
> Also, under "Injection-Info" syntax:
>
> host-value      =  dot-atom-text / IPv4address / IPv6address /
>                      (dot-atom-text ":" ( IPv4address / IPv6address ))
>
> If specifying both a hostname (as "dot-atom-text") and an IP address, why
> not make the IP address a CWFS comment?  I really don't like that colon as
> IPv6 address literals may start with a double-colon, and the effective
> triple-colon would look ugly.  (OK, so maybe it shouldn't happen except for
> localhost since IPv4-mapped and IPv4-compatible IPv6 addresses shouldn't be
> sources, but the syntax doesn't forbid such.)
>
> e.g.  "Injection-Info: nowhere;posting-host=localhost:::1"
> vs.   "Injection-Info: nowhere;posting-host=localhost (::1)"
>
> BNF:  "/", not "|" in specifying an option (choose one of)?  Hmmmm.
>
> In the "Injection-Info" parameters, do we really have to say "posting-host"
> instead of just "host", and "posting-account" instead of just "account" (or
> "acct")?  Isn't that understood from the header itself?
>
> ------
> Another thought:  If "Supersedes" must not exist with "Control" functions,
> why not make the supersedes function itself a control function (i.e.
> "supersedes" becomes a verb)?  Won't that will prevent the problem?  This
> way, it also parallels the "cancel" operation (if that's still to be
> supported).  For backwards compatibility only, allow the separate header
> (possibly having a server rewrite any "Supersedes: <data>" header into
> "Control: supersedes <data>", thus also removing any other "Control:"
> header).

---

From: Russ Allbery <[email-masked]>
Date: Sat, 09 May 2009 13:58:29 -0700

> is not pretty to read and "posting-host" could have been

I disagree on the name shortening; host is ambiguous about whether it
means the posting host or the injecting host.  I do agree that in
retrospect, given the IPv6 address format, colon is an unfortunate
separator, but I think it's probably too late to change it now and it's
not ambiguous, just weird-looking.

> And Injection-Date: a sub-field of Injection-Info: (but maybe it was
> done this way because it was easier to parse in order to obtain the
> date?).

We were trying to avoid the current situation where there are something
like five different trace fields that different bits of software fills
out.  Since you rarely need access to that information, it seemed better
to collapse it into one field that one could parse when needed.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>

---

From: Russ Allbery <[email-masked]>
Date: Sat, 09 May 2009 14:18:58 -0700

> We were trying to avoid the current situation where there are
> something like five different trace fields that different bits of
> software fills out.  Since you rarely need access to that information,
> it seemed better to collapse it into one field that one could parse
> when needed.

Oh, sorry, I completely failed on that question.  *heh*

Injection-Date is separate because it has a protocol purpose on transit
servers and the like.  So it's the exact opposite of what I just wrote
above -- it *is* needed regularly, and hence it's in a separate field.

---

From: Julien ÉLIE <[email-masked]>
Date: Wed, 27 May 2009 19:13:07 +0200

> above -- it *is* needed regularly, and hence it's in a separate field.

OK, thanks Russ.

-- 
Julien ÉLIE

« Video meliora proboque deteriora sequor. » (Ovide)